当前访客身份:游客 [ 登录  | 注册加入尚学堂]
启用新域名sxt.cn
新闻资讯

Linux 下weblogic安装和运行OA项目(三)

goldbin 发表于 2年前  | 评论(0 )| 阅读次数(952 )|   2 人收藏此文章,   我要收藏
摘要 这次主要解决Weblogic和OA项目的的版本冲突问题。

Weblogic和OA项目版本冲突问题

现在准备条件都有了,但是出了新的问题。在我们的OA项目使用的hibernate版本3.6的。所以和J2EE存在JPA的版本冲突。并且在Weblogic中antlr的版本很低,会导致hibernate中的hql语句全都不能解析。

拷贝hibernate-jpa-2.0-api-1.0.0.Final.jar,antlr-2.7.6.jar

    两个文件到/root/Oracle/Middleware/wlserver_10.3/common/lib/下。

然后在domain的bin目录下找到setDomainEnv.sh文件。在该文件的后面添入一行:

export PRE_CLASSPATH=$PRE_CLASSPATH:/root/Oracle/Middleware/wlserver_10.3/common/lib/hibernate
-jpa-2.0-api-1.0.0.Final.jar:/root/Oracle/Middleware/wlserver_10.3/common/lib/antlr-2.7.6.jar

 

这样就告诉Weblogic首先引入的jar为我们自己定义的两个jar包。

启动Weblogic

在domain的bin目录找到startWeblogic.sh文件

执行命令: sh startWeblogic.sh 启动Weblogic。

如果像后台启动Weblogic可以执行命令:

 [root@localhost bin]# ./startWebLogic.sh  > info.log &

 

访问OA

 

分享到:0
关注微信,跟着我们扩展技术视野。每天推送IT新技术文章,每周聚焦一门新技术。微信二维码如下:
微信公众账号:尚学堂(微信号:bjsxt-java)
声明:博客文章版权属于原创作者,受法律保护。如果侵犯了您的权利,请联系管理员,我们将及时删除!
(邮箱:webmaster#sxt.cn(#换为@))
北京总部地址:北京市海淀区西三旗桥东建材城西路85号神州科技园B座三层尚学堂 咨询电话:400-009-1906 010-56233821
Copyright 2007-2015 北京尚学堂科技有限公司 京ICP备13018289号-1 京公网安备11010802015183